<?php

/**
 * WeEngine Team
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

if (!defined('IN_DISCUZ')) {
	exit('Access Denied');
}

class table_w7_apps extends discuz_table {
	public function __construct() {
		$this->_table = 'plugin_w7_apps';
		$this->_pk = 'id';

		parent::__construct();
	}

	public function update_by_identifier($identifier, $data) {
		return DB::update($this->_table, $data, ['identifier' => $identifier]);
	}

	public function fetch_by_identifier($identifier) {
		$data = DB::fetch_first('SELECT * FROM %t WHERE identifier=%s', array($this->_table, $identifier));
		$data['site_branch'] = json_decode($data['site_branch'], true);
		$data['branches'] = json_decode($data['branches'], true);
		return $data;
	}
}
