<?php

/**
 * WeEngine Team
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

if (!defined('IN_DISCUZ')) {
	exit('Access Denied');
}

global $_G;

$developer = isset($_G['config']['plugindeveloper']) ? $_G['config']['plugindeveloper'] : 0;
define('W7_STORE', 'w7store');
define('W7_CLOUD_SDK_DEVELOP', $developer);
define('W7_CLOUD_SDK_AUTHKEY', $_G['config']['security']['authkey']);

require_once DISCUZ_ROOT . '/source/plugin/' . W7_STORE . '/vendor/autoload.php';

$config = [
	'lang' => 'plugin/' . W7_STORE,

	// 插件使用到的目录
	'plugin_dir' => DISCUZ_ROOT . './data/plugindata/' . W7_STORE,
	'plugin_cache_path' => DISCUZ_ROOT . '/data/cache',

	// table
	'table_insert_max' => 1000,
	'table_setting' => '#' . W7_STORE . '#w7_setting',
	'table_apps' => '#' . W7_STORE . '#w7_apps',
	'table_install' => '#' . W7_STORE . '#w7_install',

	// 商城地址
	'store_host' => 'https://s.w7.cc',

	// 应用列表同步时间,单位(秒)
	'apps_sync_time' => 120,
];
