<?php

/**
 * WeEngine Discuz Plugin
 *
 * (c) We7Team 2019 <https://www.w7.cc>
 *
 * This is not a free software
 * Using it under the license terms
 * visited https://www.w7.cc for more details
 */

if (!defined('IN_DISCUZ') || !defined('IN_ADMINCP')) {
	exit('Access Denied');
}

require_once DISCUZ_ROOT . '/source/plugin/w7store/config/index.php';
require_once libfile('lib/utils', 'plugin/' . W7_STORE);

// 表前缀
$tablepre = getglobal('config/db/1/tablepre');

$sql = <<<EOT

DROP TABLE IF EXISTS {$tablepre}plugin_w7_setting;
DROP TABLE IF EXISTS {$tablepre}plugin_w7_apps;
DROP TABLE IF EXISTS {$tablepre}plugin_w7_install;

EOT;

runquery($sql);

$utils = new \W7Store\lib\lib_utils();
$utils->dirClear($config['plugin_dir']);

$finish = true;
